Subject: bug#63653: 29.0.91; [PATCH] More fix for loading SQLite extensions

From: lin Sun <[email-masked]>
Date: Tue, 23 May 2023 04:28:34 +0000

Hi Eli,

There is a build error after I pull the last emacs-29 branch, tried
build on CentOS 7.
> use of undeclared identifier emacs 'SQLITE_DBCONFIG_ENABLE_LOAD_EXTENSION'
The macro SQLITE_DBCONFIG_ENABLE_LOAD_EXTENSION is defined since
SQLite 3.13 (2016 May).
CentOS 7 will end by 2024 June 30, so this patch is still useful.

Best Regards
Lin